This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 856676 - Nautilus refuses to open a Windows share instead of asking for username and password
Nautilus refuses to open a Windows share instead of asking for username and p...
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nautilus (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Carlos Soriano
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 10:50 EDT by Gianni Giardina
Modified: 2017-09-14 07:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anonymous connections to Windows shares with smbclient (1.01 KB, text/plain)
2012-09-12 10:50 EDT, Gianni Giardina
no flags Details

  None (edit)
Description Gianni Giardina 2012-09-12 10:50:39 EDT
Created attachment 612133 [details]
Anonymous connections to Windows shares with smbclient

Description of problem
----------------------

When you browse to a SMB server (smb://server) and double click the icon of one of the Windows shares other than the system ones (ADMIN$, C$), Nautilus refuses to open the share instead of asking for username/domain/password in order to authenticate you. Nonetheless, Nautilus authenticates you, asking for domain/password, when you directly type in the location bar the share's Url among with you username: smb://user@server/share.

By the way, if you double click one of the Windows system shares, Nautilus asks you for authentication.


Version-Release number of selected component
--------------------------------------------

nautilus-2.28.4-19.el6.x86_64


How reproducible
----------------

Always.


Steps to Reproduce
------------------

1. Share a folder ("share") on your Windows system ("server").
2. Open Nautilus and browse to that system, e.g. by typing "smb://server" in the location bar.
3. Double click the "share" icon. Nautilus fails to open it (see below for the error message).
4. Type the following in the location bar: "smb://user@server/share". Nautilus asks you to provide domain and password and, after successful authentication, opens the shared folder.
  
Actual results
--------------

When you double click the "share" icon, Nautilus opens a pop-up with the following error message:
--
Unable to mount location

Failed to mount Windows share
--


Expected results
----------------
When you double click the "share" icon, Nautilus should ask you for username/domain/password and, after successful authentication, open the shared folder. This is what it did in RHEL5.



Additional info
---------------

I tried with two different Windows XP systems and a Samba server on a Linux machine, always with the same results.

Attached you find what happens when you connect (anonymously) to one of them with smbclient in place of Nautilus.

Finally, I also tried Nautilus on a RHEL 5.8 system and it worked as expected opening the Windows shares of the above systems after successful authentication.
Comment 2 RHEL Product and Program Management 2013-10-13 20:27:37 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.